"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @fileoverview Helps you adhere to DCI conventions.
 * @author Andreas Söderlund
 */
const rules = [
    ["literal-role-contracts", "error"],
    ["grouped-rolemethods", "error"],
    ["private-role-access", "error"],
    ["no-this-in-context", "error"],
    ["uppercase-roles", "warn"],
];
const importedRules = rules.map((rule) => [
    rule[0],
    require(`./rules/${rule[0]}`).default,
]);
const recommendedRules = rules.map((rule) => [`dci-lint/${rule[0]}`, rule[1]]);
module.exports = {
    rules: Object.fromEntries(importedRules),
    configs: {
        recommended: {
            plugins: ["dci-lint"],
            rules: {
                "no-param-reassign": "error",
                ...Object.fromEntries(recommendedRules),
            },
        },
    },
};
