"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DCIRuleHelpers_1 = require("../DCIRuleHelpers");
exports.default = (0, DCIRuleHelpers_1.createRule)({
    name: "no-this-in-context",
    create(context) {
        return (0, DCIRuleHelpers_1.contextRules)(context, {
            ThisExpression(node) {
                if (!(0, DCIRuleHelpers_1.isInContext)())
                    return;
                context.report({
                    node,
                    messageId: "noThis",
                });
            },
        });
    },
    meta: {
        docs: {
            description: `"this" should not be used inside a Context.`,
            recommended: "error",
        },
        messages: {
            noThis: `"this" should not be used inside a Context.`,
        },
        type: "problem",
        schema: [],
    },
    defaultOptions: [],
});
